name: "Merging on main"

on:
  push:
    branches: ["main"]

env:
  REGISTRY: gitea.borealian.ovh
  IMAGE_NAME: ${{ github.repository }}
jobs:
  build:
    name: "Build & Test"

    # Permissions this GitHub Action needs for other things in GitHub
    permissions: write-all

    runs-on: ubuntu-latest

    steps:
      - name: Check out the code
        uses: actions/checkout@v6
        with:
          fetch-depth: 0
      - name: Setup .NET
        uses: actions/setup-dotnet@v5
        with:
          dotnet-version: |
            10.x
      - name: "Restore/Build/Test"
        run: |
          dotnet test ./src/LittleTown.sln --configuration Release --verbosity normal --logger trx --collect:"XPlat Code Coverage" --logger:"trx;LogFileName=test_results.xml"

